import {
  api,
  downloadFile,
  createApiUrl
} from '~/utils/axios';

/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {});
}


/**
 * 获取代码块类目列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getCodeModuleCategoryList(data) {
  return api.post('Code.CodeModuleCategory/getCodeModuleCategoryList', data);
}

/**
 * 获取父子类目共用信息
 * @param {Object} data
 * @return {Promise} api
 */
export function getCodeModuleCategoryInfo(data) {
  return api.post('Code.CodeModuleCategory/getCodeModuleCategoryInfo', data);
}

/**
 * 删除代码块类目
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteCodeModuleCategory(data) {
  return api.post('Code.CodeModuleCategory/deleteCodeModuleCategory', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加代码块类目
 * @param {Object} data
 * @return {Promise} api
 */
export function addCodeModuleCategory(data) {
  return api.post('Code.CodeModuleCategory/addCodeModuleCategory', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}

/**
 * 编辑代码块类目
 * @param {Object} data
 * @return {Promise} api
 */
export function editCodeModuleCategory(data) {
  return api.post('Code.CodeModuleCategory/editCodeModuleCategory', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}

/**
 * 审核代码类目
 * @param {Object} data
 * @return {Promise} api
 */
export function auditCodeModuleCategory(data) {
  return api.post('Code.CodeModuleCategory/auditCodeModuleCategory', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '操作失败'
  });
}