import { api, downloadFile, createApiUrl } from '~/utils/axios';

/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {
  });
}


/**
 * 获取客户消息列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getCustomerMessageList(data) {
  return api.post('Customer.CustomerMessage/getCustomerMessageList', data);
}

/**
 * 删除客户消息
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteCustomerMessage(data) {
  return api.post('Customer.CustomerMessage/deleteCustomerMessage', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加客户消息
 * @param {Object} data
 * @return {Promise} api
 */
export function addCustomerMessage(data) {
  return api.post('Customer.CustomerMessage/addCustomerMessage', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑客户消息
 * @param {Object} data
 * @return {Promise} api
 */
export function editCustomerMessage(data) {
  return api.post('Customer.CustomerMessage/editCustomerMessage', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
